rawCELName-methods {xps} | R Documentation

## Method for getting names of the raw CEL-files

### Description

Method for getting names (and full path) of the original CEL-files.

Usage

`rawCELName(object, treename = "*", fullpath = TRUE)`

### Arguments

`object` | object of class `DataTreeSet`.
`treename` | treename, for which the name of the original CEL-file should be returned.
`fullpath` | logical, if TRUE return full path.

### Details

Since CEL-files can be imported with `import.data` using alternative `celnames`, method `rawCELName` allows to return the original name and optionally the full path for each CEL-file.

### Value

A character vector.

### Author(s)

Christian Stratowa

### See Also

`import.data`

### Examples

    ## load existing ROOT scheme file and ROOT data file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

    rawCELName(data.test3)
    rawCELName(data.test3, treename = "TestA2.cel", fullpath = FALSE)

[Package xps version 1.2.10 Index]